# Orders

- [Verify Order Placement](https://api-documentation.autoshares.dev/rest-api/trading-api/orders/validate-order-placement.md): Verify a new order before placing it
- [Syntax](https://api-documentation.autoshares.dev/rest-api/trading-api/orders/validate-order-placement/orders_previewcreateorder.md)
- [Place Order](https://api-documentation.autoshares.dev/rest-api/trading-api/orders/place-order.md): Place a new order
- [Syntax](https://api-documentation.autoshares.dev/rest-api/trading-api/orders/place-order/orders_placeorder.md)
- [Verify Order Replacement](https://api-documentation.autoshares.dev/rest-api/trading-api/orders/validate-order-replacement.md): Verify an order modification before committing changes
- [Syntax](https://api-documentation.autoshares.dev/rest-api/trading-api/orders/validate-order-replacement/orders_previewmodifyorder.md)
- [Replace Order](https://api-documentation.autoshares.dev/rest-api/trading-api/orders/replace-order.md): Modify an existing order (cancel and replace)
- [Syntax](https://api-documentation.autoshares.dev/rest-api/trading-api/orders/replace-order/orders_replaceorder.md)
- [Cancel an Order](https://api-documentation.autoshares.dev/rest-api/trading-api/orders/cancel-order.md): Cancel an existing outstanding order
- [Syntax](https://api-documentation.autoshares.dev/rest-api/trading-api/orders/cancel-order/orders_cancelorder.md)
- [Get Order's Info](https://api-documentation.autoshares.dev/rest-api/trading-api/orders/get-orders-info.md): Retrieve information about a particular order
- [Syntax](https://api-documentation.autoshares.dev/rest-api/trading-api/orders/get-orders-info/orders_getorder.md)
- [Get Filtered Orders](https://api-documentation.autoshares.dev/rest-api/trading-api/orders/get-filtered-orders.md): List a user's outstanding and executed orders
- [Syntax](https://api-documentation.autoshares.dev/rest-api/trading-api/orders/get-filtered-orders/orders_getorders.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-documentation.autoshares.dev/rest-api/trading-api/orders.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
